• Documentation
  • API Reference
Catalog API
    Get a CompanygetGet a Product FamilygetGet a ProductgetList CategoriesgetList CompaniesgetList Product FamiliesgetList Productsget
Scope API
    Get a ScopegetCreate a ScopepostCreate Scope via Documentpost
Pricing API
    Basic Price EstimategetAdvanced Price Estimateget
Webhooks API
    List webhooksgetCreate a webhookpostList webhook eventsgetGet webhook eventgetDelete webhookdelete
Negotiation API
    Start negotiationpostGet FAQsget
Other endpoints
    OpenAPI SpecificationgetHealth checkget
Schemas
Vendr Public API

Negotiation API

Endpoint:https://api.vendr.com

Start negotiation

POST
https://api.vendr.com
/v1/negotiation/start

Start negotiation › Headers

  • Authorizationstring · required

Start negotiation › Request Body

  • supplierobject · minProps: 1 · required
  • contactEmailstring · email · required
  • contactNamestring · required
  • engagementTypestring · enum · required
    Enum values:
    vendr_led
    strategy_only
  • metadataobject
  • participantsobject[]
  • scopeobject
  • fileobject

Start negotiation › Responses

  • negotiationIdstring · uuid · required
POST /v1/negotiation/start

Get FAQs

GET
https://api.vendr.com
/v1/negotiation/faqs/{companyId}

Get FAQs › path Parameters

  • companyIdstring · uuid · required

Get FAQs › Headers

  • Authorizationstring · required
  • x-vendr-end-user-identifierstring
  • x-vendr-end-user-ipstring · ipv4
  • x-vendr-end-user-emailstring · email
  • x-vendr-end-user-organization-namestring

Get FAQs › Responses

  • faqsobject[] · required
  • lastUpdatedAtstring · date-time · required
GET /v1/negotiation/faqs/{companyId}

Webhooks APIOther endpoints